Name:           maliit-keyboard
Version:        2.3.1
Release:    1%{?dist}
Summary:        Maliit Keyboard 2

License:        LGPLv3 and BSD
URL:            https://maliit.github.io/
Source0:        https://github.com/maliit/keyboard/archive/%{version}/%{name}-%{version}.tar.gz 


BuildRequires: cmake
BuildRequires: gcc-c++

BuildRequires: maliit-framework-devel >= 2.3.0
BuildRequires: glib2-devel
BuildRequires: hunspell-devel
BuildRequires: gettext

BuildRequires: anthy-unicode-devel
BuildRequires: libpinyin-devel
BuildRequires: libchewing-devel

BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtdeclarative-devel
BuildRequires: qt5-qtmultimedia-devel
BuildRequires: qt5-qtfeedback-devel
BuildRequires: qt5-qtquickcontrols2-devel

Patch1: make-sure-PressArea-gets-reset-when-the-keyboard-hides.patch

%description
Based on Ubuntu Keyboard. Ubuntu Keyboard was a QML and C++ based Keyboard
Plugin for Maliit, based on the Maliit Reference plugin, taking into account the
special UI/UX requests of Ubuntu Phone.


%prep
%autosetup -n keyboard-%{version} -p1


%build
%cmake -Denable-presage=OFF

%cmake_build


%install
%cmake_install

rm -rf %{buildroot}%{_datadir}/doc/maliit-keyboard
%find_lang %{name}

%files -f %{name}.lang
%license COPYING.BSD COPYING.LGPL COPYING
%doc README.md
%{_bindir}/maliit-keyboard
%dir %{_libdir}/maliit/
%{_libdir}/maliit/keyboard2/
%{_libdir}/maliit/plugins/
%dir %{_datadir}/maliit/
%{_datadir}/maliit/keyboard2/
%{_datadir}/glib-2.0/schemas/org.maliit.keyboard.maliit.gschema.xml
%{_datadir}/applications/com.github.maliit.keyboard.desktop
%{_metainfodir}/com.github.maliit.keyboard.metainfo.xml


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.1-1
- initial build
